Package org.eclipse.app4mc.amalthea.model.builder

## Class InstructionsBuilder

- Object
- - InstructionsBuilder

Deprecated.
(0.9.3) use `Ticks` instead.

    @Deprecated
    public class InstructionsBuilder
    extends Object

Deprecated.
(0.9.3) use `Ticks` instead.
Creates Need entries for Instructions

### Constructor Summary

Constructors
`InstructionsBuilder()` Deprecated.

### Method Summary

All Methods
`void` `featureCategory_Instructions​(HWModel container, Procedures.Procedure1<HwFeatureCategory> initializer)` Deprecated.
`DiscreteValueConstant` `instructions​(ExecutionNeed container, long instructions)` Deprecated.
`IDiscreteValueDeviation` `instructions​(ExecutionNeed container, IDiscreteValueDeviation instructions)` Deprecated.

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InstructionsBuilder

    public InstructionsBuilder()

Deprecated.

### Method Detail

#### instructions

    public DiscreteValueConstant instructions​(ExecutionNeed container,
                                              long instructions)

Deprecated.

#### instructions

    public IDiscreteValueDeviation instructions​(ExecutionNeed container,
                                                IDiscreteValueDeviation instructions)

Deprecated.

#### featureCategory_Instructions

    public void featureCategory_Instructions​(HWModel container,
                                             Procedures.Procedure1<HwFeatureCategory> initializer)

Deprecated.